---
exec:
  path: '/home/enrico/Projects/maof/cmake-build-parser/MAOFexec'
  args:
    inputFile: '--filename %%'
    solvers:
      -
        '-M' : 'ICTS'
#      -
#        '-M': 'CBS'
#      -
#        '-M': 'CP'
#      -
#        '-M': 'ICR'
#        '-s': 'CP'
#      -
#        '-M': 'ICR'
#        '-s': 'CBS'
outputFolder: './outputWH'
tests:
#  testPath: '/Users/enrico/Projects/maof/cmake-build-release/test4.json'
#  testsFolder : ''
#  testRe : ''
  testPath: ''
  testsFolder: '/home/enrico/Projects/maof/testingScripts/generate/warehouse/maps/output'
  testRe: '(^\d+\.json)|(tests)|(WH\d+_?\d*_?\d*)'
repeat: 1
timeout:
#  - 0.5
#  - 1
#  - 10
  - 60
variables:
  success:
    type: bool
    r: 'Solution found in: \d+\.\d+'
  unsuccess:
    type: num
    r: 'Could not find a solution'
  time:
    type: stat
    r: 'Solution found in: (?P<val>\d+\.\d+)'
  timeNodes:
    type: crossStat
    r1: 'Solution found in: (?P<val>\d+\.\d+)'
    r2: 'Number of nodes: (?P<val>\d+)'
  timeAgents:
    type: crossStat
    r1: 'Solution found in: (?P<val>\d+\.\d+)'
    r2: 'Number of agents: (?P<val>\d+)'
  CBS:
    type: yaml
    path: 'yaml/CBS.yaml'

